
data:extend(
{
  {
    type = "autoplace-control",
    name = "heavy-oil",
    richness = true,
    order = "a-c-c"
  },
  
  {
    type = "noise-layer",
    name = "heavy-oil"
  },
  
  {
    type = "resource",
    name = "heavy-oil",
    icon = "__base__/graphics/icons/fluid/heavy-oil.png",
    flags = {"placeable-neutral"},
    category = "basic-fluid",
    order="a-c-c",
    infinite = false,
    minimum = 75000,
    normal = 75000,
    minable =
    {
      hardness = 1,
      mining_time = 10.1,
      results =
      {
        {
          type = "fluid",
          name = "heavy-oil",
          amount_min = 12.5,
          amount_max = 12.5,
          probability = 1
        }
      }
    },
    collision_box = {{ -1.4, -1.4}, {1.4, 1.4}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace =
    {
      control = "heavy-oil",
      sharpness = 0.80,
      max_probability = 0.03,
      richness_multiplier = 150000000,
      richness_base = 150000000,
      size_control_multiplier = 0.1,
      peaks =
	  {
        {
          influence = 0.1
        },
        {
          influence = 0.075,
          starting_area_weight_optimal = 0.4,
          starting_area_weight_range = 0,
          starting_area_weight_max_range = 2,
        },
        {
          influence = 0.54,
          noise_layer = "heavy-oil",
          noise_octaves_difference = -2.7,
          noise_persistence = 0.3
        }
      }
    },
    stage_counts = {0},
    stages =
    {
      sheet =
      {
        filename = "__heavy-oil__/graphics/entity/heavy-oil/heavy-oil.png",
        priority = "extra-high",
        width = 75,
        height = 61,
        frame_count = 4,
        variation_count = 1
      }
    },
    map_color = {r=0.5, g=0.8, b=0.9},
    map_grid = false
  }
})
